From 4e9e508df17ee3361ca195b0dbab2c17b1defd2e Mon Sep 17 00:00:00 2001
From: dharani.prabhu.s <dharani.prabhu.s@gmail.com>
Date: Sat, 7 May 2011 20:56:47 +0200
Subject: [PATCH 2/2] Antiflicker filter initial version

---
 modules/gui/qt4/components/extended_panels.cpp |    4 +
 modules/gui/qt4/ui/video_effects.ui            |   83 ++++++++++++++++++++++++
 2 files changed, 87 insertions(+), 0 deletions(-)

diff --git a/modules/gui/qt4/components/extended_panels.cpp b/modules/gui/qt4/components/extended_panels.cpp
index 0ffb381..61da698 100644
--- a/modules/gui/qt4/components/extended_panels.cpp
+++ b/modules/gui/qt4/components/extended_panels.cpp
@@ -225,6 +225,10 @@ ExtVideo::ExtVideo( intf_thread_t *_p_intf, QTabWidget *_parent ) :
     SETUP_VFILTER( grain )
     SETUP_VFILTER_OPTION( grainVarianceSlider, valueChanged( int ) )
 
+    SETUP_VFILTER( antiflicker )
+    SETUP_VFILTER_OPTION( antiflickerWindowSizeSlider, valueChanged( int ) )
+    SETUP_VFILTER_OPTION( antiflickerSofteningSizeSlider, valueChanged( int ) )
+
     if( module_exists( "atmo" ) )
     {
         SETUP_VFILTER( atmo )
diff --git a/modules/gui/qt4/ui/video_effects.ui b/modules/gui/qt4/ui/video_effects.ui
index 6455894..ad0f9d6 100644
--- a/modules/gui/qt4/ui/video_effects.ui
+++ b/modules/gui/qt4/ui/video_effects.ui
@@ -1609,6 +1609,87 @@
     </item>
    </layout>
   </widget>
+  <widget class="QWidget" name="tab_image_stbl">
+   <attribute name="title">
+    <string>Image stabilization</string>
+   </attribute>
+   <layout class="QGridLayout">
+    <item row="0" column="0">
+     <widget class="QGroupBox" name="antiflickerEnable">
+      <property name="title">
+       <string>antiflicker</string>
+      </property>
+      <property name="checkable">
+       <bool>true</bool>
+      </property>
+      <property name="checked">
+       <bool>false</bool>
+      </property>
+      <layout class="QGridLayout">
+       <item row="1" column="0">
+        <widget class="QLabel" name="label_Winsz">
+         <property name="text">
+          <string>window size</string>
+         </property>
+         <property name="buddy">
+          <cstring>antiflickerWindowSizeSlider</cstring>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="0" colspan="2">
+        <widget class="QLabel" name="label_Sftn">
+         <property name="text">
+          <string>softening</string>
+         </property>
+         <property name="buddy">
+          <cstring>antiflickerSofteningSizeSlider</cstring>
+         </property>
+        </widget>
+       </item>
+       <item row="1" column="1" colspan="2">
+        <widget class="QSlider" name="antiflickerWindowSizeSlider">
+         <property name="maximum">
+          <number>100</number>
+         </property>
+         <property name="value">
+          <number>10</number>
+         </property>
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="tickPosition">
+          <enum>QSlider::TicksBothSides</enum>
+         </property>
+         <property name="tickInterval">
+          <number>5</number>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="1" colspan="2">
+        <widget class="QSlider" name="antiflickerSofteningSizeSlider">
+         <property name="maximum">
+          <number>30</number>
+         </property>
+         <property name="value">
+          <number>0</number>
+         </property>
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="tickPosition">
+          <enum>QSlider::TicksBothSides</enum>
+         </property>
+         <property name="tickInterval">
+          <number>5</number>
+         </property>
+        </widget>
+       </item>
+      </layout>
+     </widget>
+    </item>
+   </layout>
+  </widget>
+
  </widget>
  <tabstops>
   <tabstop>adjustEnable</tabstop>
@@ -1690,6 +1771,8 @@
   <tabstop>eraseMaskText</tabstop>
   <tabstop>eraseYSpin</tabstop>
   <tabstop>eraseXSpin</tabstop>
+  <tabstop>antiflickerWindowSizeSlider</tabstop>
+  <tabstop>antiflickerSofteningSizeSlider</tabstop>
  </tabstops>
  <resources/>
  <connections/>
-- 
1.6.3.3

